Supercheck LogoSupercheck
Monitors API

Create a monitor

Create a new uptime or performance monitor.

POST
/api/monitors

Authorization

bearerAuth
headerAuthorizationBearer <token>

Project-scoped CLI token (sck_live_* or sck_test_*) for documented API operations that accept bearer authentication. Interactive browser operations may require a session cookie. Trigger keys (sck_trigger_* / legacy job_*) are accepted only by job trigger endpoints.

Request Body

application/json
  1. body
name*string
description?string
type*string
Default"http_request"
Value in"http_request""website""ping_host""port_check""synthetic_test"
target?string

URL, host, or synthetic test target to monitor

frequencyMinutes?integer

Check interval in minutes

Range1 <= value <= 1440
Default5
enabled?boolean
Defaulttrue
config?
alertConfig?

Response Body

Monitor created

application/json
  1. response
id?string
Formatuuid
organizationId?string
Formatuuid
projectId?string
Formatuuid
createdByUserId?string
Formatuuid
createdByName?string
createdByImage?string
name?string
description?string
target?string

URL, host, or synthetic test target being monitored

type?string
Value in"http_request""website""ping_host""port_check""synthetic_test"
status?string
Value in"up""down""paused""pending""maintenance""error"
frequencyMinutes?integer

Check interval in minutes

enabled?boolean
config?|null
alertConfig?|null
lastCheckAt?string
Formatdate-time
lastStatusChangeAt?string
Formatdate-time
mutedUntil?string
Formatdate-time
scheduledJobId?string
recentResults?array<>
createdAt?string
Formatdate-time
updatedAt?string
Formatdate-time
Example Request
curl -X POST 'https://demo.supercheck.dev/api/monitors' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "type": "http_request"}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",  "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",  "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620",  "createdByName": "string",  "createdByImage": "string",  "name": "string",  "description": "string",  "target": "string",  "type": "http_request",  "status": "up",  "frequencyMinutes": 0,  "enabled": true,  "config": {    "method": "GET",    "headers": {      "property1": "string",      "property2": "string"    },    "body": "string",    "expectedStatusCodes": "string",    "keywordInBody": "string",    "keywordInBodyShouldBePresent": true,    "auth": {      "type": "none",      "username": "string",      "password": "string",      "token": "string"    },    "port": 0,    "protocol": "tcp",    "expectClosed": true,    "enableSslCheck": true,    "sslDaysUntilExpirationWarning": 0,    "sslCheckFrequencyHours": 0,    "sslLastCheckedAt": "2019-08-24T14:15:22Z",    "timeoutSeconds": 1,    "regions": [      "string"    ],    "locationConfig": {      "enabled": true,      "locations": [        "string"      ],      "threshold": 0,      "strategy": "all"    },    "alertChannels": [      "string"    ],    "testId": "82d0c3c7-a664-4ee3-9f0e-ea5738ca0af0",    "testTitle": "string",    "playwrightOptions": {      "headless": true,      "timeout": 0,      "retries": 0    }  },  "alertConfig": {    "enabled": true,    "notificationProviders": [      "9b51326e-6c58-4421-93f5-8536d56072b8"    ],    "alertOnFailure": true,    "alertOnRecovery": true,    "alertOnSslExpiration": true,    "failureThreshold": 1,    "recoveryThreshold": 1,    "customMessage": "string",    "incidentEnabled": true,    "incidentSeverity": "sev1",    "autoResolveIncident": true  },  "lastCheckAt": "2019-08-24T14:15:22Z",  "lastStatusChangeAt": "2019-08-24T14:15:22Z",  "mutedUntil": "2019-08-24T14:15:22Z",  "scheduledJobId": "string",  "recentResults": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "monitorId": "075fef10-8522-4c43-ac39-f1796133943e",      "checkedAt": "2019-08-24T14:15:22Z",      "location": "string",      "status": "up",      "responseTimeMs": 0,      "details": {        "statusCode": 0,        "statusText": "string",        "errorMessage": "string",        "responseHeaders": {          "property1": "string",          "property2": "string"        },        "responseBodySnippet": "string",        "ipAddress": "string",        "location": "string",        "sslCertificate": {          "valid": true,          "issuer": "string",          "subject": "string",          "validFrom": "string",          "validTo": "string",          "daysRemaining": 0        }      },      "isUp": true,      "isStatusChange": true,      "consecutiveFailureCount": 0,      "consecutiveSuccessCount": 0,      "alertsSentForFailure": 0,      "alertsSentForRecovery": 0,      "testExecutionId": "string",      "testReportS3Url": "string",      "executionGroupId": "string"    }  ],  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}